News

India News

Call GET /india/news on the Corpus API.

GET /india/news

Call GET /india/news on the Corpus API.

Category: India · News

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: india:read.

Request

NameInRequiredTypeConstraintsDescription
categoryquerynostring | null
as_ofquerynostring | null
limitquerynointegerdefault 100; min 1; max 1000
offsetquerynointegerdefault 0; min 0

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/india/news?limit=100' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonNewsResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonErrorResponse

Representative 200 response

{
  "news": [
    {
      "source_id": "string",
      "title": "string",
      "url": "https://corpus-api.onera.app",
      "published_at": "2025-12-31T23:59:59Z",
      "summary": "string",
      "category": "string"
    }
  ],
  "meta": {
    "jurisdiction": "IN",
    "count": 1,
    "limit": 10,
    "offset": 0,
    "next_offset": null,
    "as_of": "2025-12-31T23:59:59Z",
    "normalization_version": "string",
    "provenance": {}
  }
}